Bug 25308 - Happened when attempting to upgrade on a compaq deskpro en.
Happened when attempting to upgrade on a compaq deskpro en.
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-01-30 11:17 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-02-01 13:10:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-30 11:17:45 EST
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1526, in 
    self.instLog = open(self.instLogName, "w+")
IOError: [Errno 2] No such file or 
directory: '/mnt/sysimage/tmp/upgrade.log'

Local variables in innermost frame:
arch: i386
total: 495
msg: File exists
logname: /tmp/upgrade.log
i: /etc/X11
p: ytalk
l: [anacron, anonftp, apache, apache-devel, apmd, arpwatch, ash, aspell, 
at, audiofile, audiofile-devel, aumix, authconfig, autoconf, automake, 
awesfx, basesystem, bash, bc, bdflush, bind-utils, binutils, bison, byacc, 
bzip2, cdecl, cdp, chkconfig, chkfontpath, compat-egcs, compat-egcs-c++, 
compat-glibc, compat-libstdc++, console-tools, control-center, control-
center-devel, control-panel, cpio, cpp, cproto, cracklib, cracklib-dicts, 
crontabs, ctags, cvs, cyrus-sasl, db1, db1-devel, db2, db3, desktop-
backgrounds, dev, dev86, dhcpcd, dialog, diffutils, dip, dosfstools, 
e2fsprogs, ed, ee, eject, ElectricFence, elm, emacs, emacs-X11, esound, 
esound-devel, exmh, expect, extace, fetchmail, file, filesystem, 
fileutils, findutils, finger, finger-server, flex, fortune-mod, freetype, 
ftp, gawk, gcc, gcc-c++, gd, gd-devel, gdb, gdbm, gdbm-devel, gdk-pixbuf, 
gdm, gedit, gettext, gftp, ghostscript, ghostscript-fonts, gimp, gimp-
devel, glib, glib-devel, glibc, glibc-devel, gmc, gmp, gnome-applets, 
gnome-audio, gnome-audio-extra, gnome-core, gnome-core-devel, gnome-games, 
gnome-games-devel, gnome-libs, gnome-libs-devel, gnome-linuxconf, gnome-
media, gnome-objc, gnome-objc-devel, gnome-pim, gnome-pim-devel, gnome-
print, gnome-users-guide, gnome-utils, gnorpm, gnotepad+, gnuchess, 
gnumeric, gnupg, gpm, gpm-devel, gqview, grep, groff, groff-perl, gtk+, 
gtk+-devel, gtk-engines, gtop, guile, gv, gzip, hdparm, ical, ImageMagick, 
imlib, imlib-cfgeditor, imlib-devel, indent, indexhtml, inews, info, 
initscripts, ipchains, iproute, iputils, isapnptools, kbdconfig, kdebase, 
kdegames, kdegraphics, kdelibs, kdelibs-devel, kdemultimedia, kdenetwork, 
kdesupport, kdesupport-devel, kdeutils, kernel, kernel-headers, kernel-
pcmcia-cs, kernel-source, kernel-utils, kernelcfg, kgcc, krb5-libs, kudzu, 
less, libghttp, libglade, libgtop, libjpeg, libjpeg-devel, libpng, libpng-
devel, librep, libstdc++, libstdc++-devel, libtermcap, libtermcap-devel, 
libtiff, libtiff-devel, libtool-libs, libungif, libungif-devel, libxml, 
libxml-devel, lilo, linuxconf, linuxconf-devel, logrotate, losetup, LPRng, 
lrzsz, lsof, ltrace, lynx, m4, mailcap, mailx, make, MAKEDEV, man, man-
pages, mc, Mesa, metamail, mikmod, mingetty, minicom, mkbootdisk, 
mkinitrd, mktemp, mkxauth, mod_perl, modemtool, modutils, mount, 
mouseconfig, mpage, mpg123, mt-st, mtools, multimedia, mutt, ncftp, 
ncompress, ncurses, ncurses-devel, ncurses4, net-tools, netcfg, netpbm, 
netpbm-devel, netpbm-progs, netscape-common, netscape-communicator, newt, 
newt-devel, nfs-utils, nmh, ntsysv, openldap, openssl, ORBit, ORBit-devel, 
pam, passwd, patch, pciutils, perl, pidentd, pine, playmidi, playmidi-X11, 
pmake, popt, portmap, postgresql, postgresql-devel, postgresql-server, 
ppp, printtool, procmail, procps, psmisc, pspell, pump, pwdb, pygnome-
libglade, pygtk-libglade, python, pythonlib, qt, qt-devel, qt1x, qt1x-
devel, quota, raidtools, rcs, rdate, rdist, readline, readline-devel, 
redhat-logos, redhat-release, rep-gtk, rep-gtk-gnome, rhs-printfilters, 
rmt, rootfiles, rp3, rpm, rpm-build, rpm-devel, rsh, rsh-server, rusers, 
rusers-server, rwho, rxvt, samba, samba-client, samba-common, sash, 
sawfish, screen, sed, sendmail, setserial, setup, setuptool, sh-utils, 
shadow-utils, shapecfg, sharutils, slang, slang-devel, slocate, slrn, 
sndconfig, sox, stat, statserial, strace, SVGATextMode, switchdesk, 
switchdesk-gnome, switchdesk-kde, sysklogd, SysVinit, talk, talk-server, 
tar, tcl, tclx, tcp_wrappers, tcpdump, tcsh, telnet, telnet-server, 
termcap, tetex, tetex-afm, tetex-dvilj, tetex-dvips, tetex-fonts, tetex-
latex, tetex-xdvi, texinfo, textutils, tftp-server, time, timeconfig, 
timetool, tin, tix, tk, tkinter, tksysv, tmpwatch, traceroute, trn, 
trojka, ucd-snmp, ucd-snmp-utils, umb-scheme, unzip, urlview, urw-fonts, 
usermode, utempter, util-linux, vim-common, vim-minimal, vixie-cron, 
which, whois, WindowMaker, WindowMaker-libs, words, wu-ftpd, wvdial, 
Xaw3d, Xaw3d-devel, xbill, xboard, xboing, xchat, Xconfigurator, XFree86, 
XFree86-3DLabs, XFree86-75dpi-fonts, XFree86-8514, XFree86-AGX, XFree86-
cyrillic-fonts, XFree86-devel, XFree86-doc, XFree86-FBDev, XFree86-I128, 
XFree86-libs, XFree86-Mach32, XFree86-Mach64, XFree86-Mach8, XFree86-
tools, XFree86-twm, XFree86-VGA16, XFree86-xdm, XFree86-xf86cfg, XFree86-
xfs, xgammon, xinetd, xinitrc, xjewel, xloadimage, xmailbox, xmms, xmorph, 
xpaint, xpat2, xpilot, xpuzzles, xrn, xscreensaver, xsri, xtrojka, xxgdb, 
yp-tools, ypbind, zip, zlib, zlib-devel, db2-devel, db3-devel, db3-utils, 
e2fsprogs-devel, enlightenment, fetchmailconf, fnlib, freetype-devel, 
freetype-utils, fvwm2, fvwm2-icons, getty_ps, giftrans, glib10, glibc-
profile, gmp-devel, gtk+10, ircii, jed, jed-common, jed-xjed, joe, 
kdeadmin, libPropList, libxml10, mod_php, mysql, mysql-server, pdksh, php, 
postgresql-tcl, postgresql-tk, procinfo, procps-X11, psacct, 
readline2.2.1, routed, sox-devel, symlinks, tftp, timed, unarj, uucp, vim-
enhanced, vim-X11, wmakerconf, wmconfig, xcpustate, xlockmore, xmms-devel, 
xosview, xsysinfo, xtoolwait, ytalk]
db: <rpmdb object at 94b88e8>
self: <todo.ToDo instance at 82016e0>
how: u
errno: 17
totalSize: 1173304
f: <closed file '/mnt/sysimage/etc/mtab', mode 'w+' at 95a1658>
ts: <rpmtrans object at 95f1050>

ToDo object:

Comment 1 Michael Fulbright 2001-01-30 12:45:38 EST
Is your /tmp a symlink?
Comment 2 Need Real Name 2001-01-31 15:34:31 EST
Yes /tmp is a symbolic link.
Comment 3 Michael Fulbright 2001-02-01 13:10:49 EST
The installer does not currently handle having /tmp as a symlink. Remove the
symlink and the upgrade should go through ok. You can restore the symlink
afterwards. Our next release will check this case before letting you proceed
through the installer.

Note You need to log in before you can comment on or make changes to this bug.